# Serialized Form

Package javax.servlet

Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

serialVersionUID: -5804680734245618303L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

serialVersionUID: -7501701636134222423L

Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

Serialized Fields

### rootCause

    java.lang.Throwable rootCause

Class javax.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

serialVersionUID: -1466635426192317793L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

serialVersionUID: -7467864054698729101L

Class javax.servlet.UnavailableException extends ServletException implements Serializable

Serialized Fields

### servlet

    Servlet servlet

### permanent

    boolean permanent

### seconds

    int seconds

Package javax.servlet.http

Class javax.servlet.http.Cookie extends java.lang.Object implements Serializable

serialVersionUID: -6454587001725327448L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.String value

### comment

    java.lang.String comment

### domain

    java.lang.String domain

### maxAge

    int maxAge

### path

    java.lang.String path

### secure

    boolean secure

### version

    int version

### isHttpOnly

    boolean isHttpOnly

Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

serialVersionUID: 7308000419984825907L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

serialVersionUID: -7622791603672342895L

Copyright © 2012 GlassFish Community. All Rights Reserved.